module.exports = {
  chainWebpack: config => {
    // GraphQL Loader
    config.module
      .rule('graphql')
      .test(/\.gql$/)
      .use('graphql-tag/loader')
      .loader('graphql-tag/loader')
      .end()
  },
  css: {
    loaderOptions: {
      sass: {
        prependData: '@import "@/assets/scss/abstracts/_abstracts.scss";'
      }
    }
  },
  publicPath: '/',
  devServer: {
    clientLogLevel: 'warning',
    // historyApiFallback: {
    //   index: '/',
    //   disableDotRule: true,
    //   verbose: true
    // },
    // hot: true,
    // contentBase: 'dist',
    // compress: true,
    host: '0.0.0.0',
    port: 8988,
    disableHostCheck: true,
    publicPath: '/',
    sockHost: 'localhost',
    public: 'localhost:8988/',
    proxy: {
      '^/api': {
        target: 'http://0.0.0.0:9000',
        logLevel: 'debug'
      }
    },
    // quiet: false,
    watchOptions: {
      ignored: /node_modules/
    }
  }
}
